import { Renderer2, ElementRef } from '@angular/core';
import { LyTheme2 } from '@alyle/ui';
import * as i0 from "@angular/core";
export declare type LyHintAlign = 'before' | 'after';
/** Hint text to be shown underneath the field. */
export declare class LyHint {
    private _renderer;
    private _el;
    private _theme;
    readonly classes: {
        [key: string]: string;
    };
    private _align;
    private _alignClass?;
    set align(val: LyHintAlign);
    get align(): LyHintAlign;
    constructor(_renderer: Renderer2, _el: ElementRef, _theme: LyTheme2, styles: any);
    static ɵfac: i0.ɵɵFactoryDeclaration<LyHint, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<LyHint, "ly-field > ly-hint", never, { "align": "align"; }, {}, never, never, false>;
}
