import { ThemeVariables } from '../theme/theme-config';
import { LyTheme2 } from '../theme/theme2.service';
import * as i0 from "@angular/core";
export declare const styles: (theme: ThemeVariables) => {
    rippleContainer: {
        position: string;
        width: string;
        height: string;
        background: string;
        opacity: string;
        borderRadius: string;
        transform: string;
        transition: string;
        pointerEvents: string;
    };
    container: {
        overflow: string;
        pointerEvents: string;
        borderRadius: string;
        position: string;
        top: number;
        bottom: number;
        left: number;
        right: number;
    };
};
export declare class LyRippleService {
    private theme;
    classes: import("@alyle/ui").LyClasses<(theme: ThemeVariables) => {
        rippleContainer: {
            position: string;
            width: string;
            height: string;
            background: string;
            opacity: string;
            borderRadius: string;
            transform: string;
            transition: string;
            pointerEvents: string;
        };
        container: {
            overflow: string;
            pointerEvents: string;
            borderRadius: string;
            position: string;
            top: number;
            bottom: number;
            left: number;
            right: number;
        };
    }>;
    constructor(theme: LyTheme2);
    static ɵfac: i0.ɵɵFactoryDeclaration<LyRippleService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<LyRippleService>;
}
