import { ElementRef, SimpleChanges, OnChanges } from '@angular/core';
import { StyleRenderer, WithStyles, InputStyle } from '../minimal/renderer-style';
import { NumberInput } from '@angular/cdk/coercion';
import * as i0 from "@angular/core";
/**
 * @dynamic
 */
export declare class LyStyle implements WithStyles {
    readonly sRenderer: StyleRenderer;
    set size(value: string | number | null);
    constructor(sRenderer: StyleRenderer);
    /** @docs-private */
    static readonly и = "LyStyle";
    static readonly $priority = -0.5;
    static readonly with: InputStyle<string | number | null>;
    color: string | number | null;
    bg: string | number | null;
    p: string | number | null;
    pf: string | number | null;
    pe: string | number | null;
    pt: string | number | null;
    pb: string | number | null;
    px: string | number | null;
    py: string | number | null;
    m: string | number | null;
    mf: string | number | null;
    me: string | number | null;
    mt: string | number | null;
    mb: string | number | null;
    mx: string | number | null;
    my: string | number | null;
    width: string | number | null;
    maxWidth: string | number | null;
    minWidth: string | number | null;
    height: string | number | null;
    maxHeight: string | number | null;
    minHeight: string | number | null;
    display: string | null;
    flex: string | number | null;
    flexBasis: string | number | null;
    flexDirection: string | null;
    flexGrow: string | number | null;
    flexSelf: string | null;
    flexShrink: string | number | null;
    flexWrap: string | null;
    justifyContent: string | null;
    justifyItems: string | null;
    justifySelf: string | null;
    alignContent: string | null;
    alignItems: string | null;
    order: string | number | null;
    lyStyle: string | null;
    elevation: NumberInput;
    static ɵfac: i0.ɵɵFactoryDeclaration<LyStyle, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<LyStyle, "[lyStyle],              [lyColor],              [lyBg],              [lyP], [lyPf], [lyPe], [lyPt], [lyPb], [lyPx], [lyPy],              [lyM], [lyMf], [lyMe], [lyMt], [lyMb], [lyMx], [lyMy],              [lySize],              [lyWidth], [lyMaxWidth], [lyMinWidth],              [lyHeight], [lyMaxHeight], [lyMinHeight],              [lyDisplay],              [lyFlex],              [lyFlexBasis],              [lyFlexDirection],              [lyFlexGrow],              [lyFlexSelf],              [lyFlexShrink],              [lyFlexWrap],              [lyJustifyContent],              [lyJustifyItems],              [lyJustifySelf],              [lyAlignContent],              [lyAlignItems],              [lyOrder]", never, { "lyStyle": "lyStyle"; "color": "lyColor"; "bg": "lyBg"; "p": "lyP"; "pf": "lyPf"; "pe": "lyPe"; "pt": "lyPt"; "pb": "lyPb"; "px": "lyPx"; "py": "lyPy"; "m": "lyM"; "mf": "lyMf"; "me": "lyMe"; "mt": "lyMt"; "mb": "lyMb"; "mx": "lyMx"; "my": "lyMy"; "size": "lySize"; "width": "lyWidth"; "maxWidth": "lyMaxWidth"; "minWidth": "lyMinWidth"; "height": "lyHeight"; "maxHeight": "lyMaxHeight"; "minHeight": "lyMinHeight"; "display": "lyDisplay"; "flex": "lyFlex"; "flexBasis": "lyFlexBasis"; "flexDirection": "lyFlexDirection"; "flexGrow": "lyFlexGrow"; "flexSelf": "lyFlexSelf"; "flexShrink": "lyFlexShrink"; "flexWrap": "lyFlexWrap"; "justifyContent": "lyJustifyContent"; "justifyItems": "lyJustifyItems"; "justifySelf": "lyJustifySelf"; "alignContent": "lyAlignContent"; "alignItems": "lyAlignItems"; "order": "lyOrder"; "elevation": "lyElevation"; }, {}, never, never, false>;
}
/**
 * @dynamic
 * @deprecated
 * Spacing
 * [p], [pf], [pe], [pt], [pb], [px], [py],
 * [m], [mf], [me], [mt], [mb], [mx], [my],
 * Sizing
 * [size],
 * [width], [maxWidth], [minWidth],
 * [height], [maxHeight], [minHeight],
 * Others
 * [lyStyle]
 */
export declare class LyStyleDeprecated extends LyStyle implements OnChanges {
    private _el;
    constructor(sRenderer: StyleRenderer, _el: ElementRef);
    ngOnChanges(changes: SimpleChanges): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<LyStyleDeprecated, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<LyStyleDeprecated, "              [p], [pf], [pe], [pt], [pb], [px], [py],              [m], [mf], [me], [mt], [mb], [mx], [my],              [size]:not([ly-button]),              [width]:not(svg):not(canvas):not(embed):not(iframe):not(img):not(input):not(object):not(video),              [maxWidth], [minWidth],              [height]:not(svg):not(canvas):not(embed):not(iframe):not(img):not(input):not(object):not(video),              [maxHeight], [minHeight],              [display],              [flex],              [flexBasis],              [flexDirection],              [flexGrow],              [flexSelf],              [flexShrink],              [flexWrap],              [justifyContent],              [justifyItems],              [justifySelf],              [alignContent],              [alignItems],              [order]", never, { "p": "p"; "pf": "pf"; "pe": "pe"; "pt": "pt"; "pb": "pb"; "px": "px"; "py": "py"; "m": "m"; "mf": "mf"; "me": "me"; "mt": "mt"; "mb": "mb"; "mx": "mx"; "my": "my"; "size": "size"; "width": "width"; "maxWidth": "maxWidth"; "minWidth": "minWidth"; "height": "height"; "maxHeight": "maxHeight"; "minHeight": "minHeight"; "display": "display"; "flex": "flex"; "flexBasis": "flexBasis"; "flexDirection": "flexDirection"; "flexGrow": "flexGrow"; "flexSelf": "flexSelf"; "flexShrink": "flexShrink"; "flexWrap": "flexWrap"; "justifyContent": "justifyContent"; "justifyItems": "justifyItems"; "justifySelf": "justifySelf"; "alignContent": "alignContent"; "alignItems": "alignItems"; "order": "order"; }, {}, never, never, false>;
}
