import { ThemeVariables, ThemeRef, StyleCollection, LyClasses, StyleTemplate } from '@alyle/ui';
export interface LyTableTheme {
    /** Styles for Button Component */
    root?: StyleCollection<((classes: LyClasses<typeof STYLES>) => StyleTemplate)> | ((classes: LyClasses<typeof STYLES>) => StyleTemplate);
}
export interface LyTableVariables {
    table?: LyTableTheme;
}
export declare const STYLES: (theme: ThemeVariables & LyTableVariables, ref: ThemeRef) => {
    $name: string;
    $global: () => (_className: string) => string;
    root: () => (_className: string) => string;
    column: any;
    headerCell: (_className: string) => string;
    footerCell: any;
    cell: any;
    row: any;
    headerRow: (_className: string) => string;
    footerRow: any;
    sticky: (_className: string) => string;
    noDataRow: any;
    fixedLayout: (_className: string) => string;
};
