import { ThemeConfig } from '@alyle/ui';
import { Color } from '@alyle/ui/color';
import { MinimaDark } from './dark';
import * as i0 from "@angular/core";
export declare class MinimaDeepDark extends MinimaDark implements ThemeConfig {
    name: string;
    background: {
        default: Color;
        primary: {
            default: Color;
            shadow: Color;
        };
        secondary: Color;
        tertiary: Color;
    };
    paper: {
        default: Color;
        shadow: Color;
    };
    static ɵfac: i0.ɵɵFactoryDeclaration<MinimaDeepDark, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<MinimaDeepDark>;
}
