import { InjectionToken } from '@angular/core';
/** Default `ly-checkbox` options that can be overridden. */
export interface LyCheckboxDefaultOptions {
    /** Default theme color palette to be used for checkboxes. */
    color?: string;
}
/** Injection token to be used to override the default options for `ly-checkbox`. */
export declare const LY_CHECKBOX_DEFAULT_OPTIONS: InjectionToken<LyCheckboxDefaultOptions>;
/** @docs-private */
export declare function LY_CHECKBOX_DEFAULT_OPTIONS_FACTORY(): LyCheckboxDefaultOptions;
