import { ElementRef, Renderer2 } from '@angular/core';
import { LyAccordion } from './accordion';
import { LyExpansionPanel } from './expansion-panel';
import * as i0 from "@angular/core";
export declare class LyExpansionPanelHeader {
    readonly _accordion: LyAccordion;
    readonly _expansionPanel: LyExpansionPanel;
    /** @docs-private */
    readonly classes: import("@alyle/ui").LyClasses<(theme: import("@alyle/ui").LyStyleUtils & import("@alyle/ui").ThemeConfig & import("./accordion").ExpansionVariables, ref: import("@alyle/ui").ThemeRef) => {
        $priority: number;
        $name: string;
        $global: () => (_className: string) => string;
        root: () => import("@alyle/ui").StyleTemplate;
        panel: () => (_className: string) => string;
        panelHeader: () => (_className: string) => string;
        panelHeaderContent: (_className: string) => string;
        panelContent: (_className: string) => string;
        panelBody: (_className: string) => string;
        panelTitle: (_className: string) => string;
        panelDescription: (_className: string) => string;
        panelActionRow: (_className: string) => string;
        expanded: () => (_className: string) => string;
        disabled: (_className: string) => string;
    }>;
    constructor(el: ElementRef, renderer: Renderer2, _accordion: LyAccordion, _expansionPanel: LyExpansionPanel);
    static ɵfac: i0.ɵɵFactoryDeclaration<LyExpansionPanelHeader, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<LyExpansionPanelHeader, "ly-expansion-panel-header", never, {}, {}, never, ["ly-panel-title", "ly-panel-description", "*"], false>;
}
