import { OnInit, OnChanges, Renderer2, ElementRef } from '@angular/core';
import { LyTheme2 } from '@alyle/ui';
import * as i0 from "@angular/core";
/**
 * @deprecated use `[lyDisplay]` instead.
 */
export declare class MediaDirective implements OnInit, OnChanges {
    private _renderer;
    private _elementRef;
    private theme;
    private _show;
    private _showClass;
    private _hide;
    private _hideClass;
    /**
     * Styles
     * @ignore
     */
    classes: import("@alyle/ui").LyClasses<{
        hide: {
            display: string;
        };
    }>;
    /**
     * Shows the item when the value is resolved as true
     */
    get lyShow(): string;
    set lyShow(val: string);
    /**
     * Hides the item when the value is resolved as true
     */
    set lyHide(val: string);
    get lyHide(): string;
    constructor(_renderer: Renderer2, _elementRef: ElementRef, theme: LyTheme2);
    ngOnInit(): void;
    ngOnChanges(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<MediaDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<MediaDirective, "[lyShow], [lyHide]", never, { "lyShow": "lyShow"; "lyHide": "lyHide"; }, {}, never, never, false>;
}
