import { NgZone } from '@angular/core';
import { LyTheme2 } from '../theme/theme2.service';
import { Platform } from '@angular/cdk/platform';
import { OverlayReference } from './overlay-reference';
import * as i0 from "@angular/core";
export declare class LyOverlayContainer {
    private theme;
    private _platform;
    private _ngZone;
    private _classes;
    protected readonly _containerElement: HTMLElement;
    private _items;
    private _overlays;
    protected _document: Document;
    protected _isAttached: boolean;
    get overlayLen(): number;
    private _isActiveOverlayContainer;
    constructor(theme: LyTheme2, _platform: Platform, _ngZone: NgZone, document: any);
    get containerElement(): HTMLElement;
    addOverlay(overlayRef: OverlayReference): void;
    removeOverlay(overlayRef: OverlayReference): void;
    /**
     * Add instance
     * @ignore
     */
    _addElement(item: Element): void;
    /**
   * Remove instance
   * @ignore
   */
    _removeElement(item: Element): void;
    /**
     * Update styles for overlay container
     * @ignore
     */
    private _update;
    /** Keyboard event listener that will be attached to the body. */
    private _keydownListener;
    static ɵfac: i0.ɵɵFactoryDeclaration<LyOverlayContainer, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<LyOverlayContainer>;
}
