import { InjectionToken } from '@angular/core';
import { HammerGestureConfig } from '@angular/platform-browser';
import { HammerOptions, HammerInstance } from './gesture-annotations';
import * as i0 from "@angular/core";
export declare const LY_HAMMER_OPTIONS: InjectionToken<HammerOptions>;
export declare class LyHammerGestureConfig extends HammerGestureConfig {
    private _hammerOptions;
    events: string[];
    constructor(_hammerOptions: HammerOptions);
    buildHammer(element: HTMLElement): HammerInstance;
    /** Creates a new recognizer, without affecting the default recognizers of HammerJS */
    private _createRecognizer;
    static ɵfac: i0.ɵɵFactoryDeclaration<LyHammerGestureConfig, [{ optional: true; }]>;
    static ɵprov: i0.ɵɵInjectableDeclaration<LyHammerGestureConfig>;
}
