import { TemplateRef, ViewContainerRef, OnDestroy, ElementRef } from '@angular/core';
import { Platform } from '@angular/cdk/platform';
import * as i0 from "@angular/core";
export interface KeyAttribute {
    [key: string]: any;
}
export declare class NgTranscludeDirective implements OnDestroy {
    readonly vcr: ViewContainerRef;
    private _platform;
    private _ngTransclude;
    /**
     * Time in ms it takes before it is destroyed
     */
    timeout: number;
    _timeoutId: number;
    set ngTransclude(templateRef: TemplateRef<any>);
    get getNgTransclude(): TemplateRef<any>;
    constructor(vcr: ViewContainerRef, _platform: Platform);
    clear(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<NgTranscludeDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<NgTranscludeDirective, "[ngTransclude]", ["ngTransclude"], { "timeout": "timeout"; "ngTransclude": "ngTransclude"; }, {}, never, never, false>;
}
export declare class NgTranscludeModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<NgTranscludeModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<NgTranscludeModule, [typeof NgTranscludeDirective], never, [typeof NgTranscludeDirective]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<NgTranscludeModule>;
}
/**
 * @ignore
 */
export declare function getNativeElement(element: HTMLElement | ElementRef<HTMLElement>): HTMLElement;
