import { LyTheme2 } from '../theme/theme2.service';
import * as i0 from "@angular/core";
export declare const LY_COMMON_STYLES: {
    fill: (_className: string) => string;
    visuallyHidden: (_className: string) => string;
    button: (_className: string) => string;
};
export declare const LY_COMMON_STYLES_DEPRECATED: {
    fill: {
        position: string;
        top: number;
        bottom: number;
        left: number;
        right: number;
    };
    visuallyHidden: {
        border: number;
        clip: string;
        height: string;
        margin: string;
        overflow: string;
        padding: number;
        position: string;
        width: string;
        outline: number;
        '-webkit-appearance': string;
        '-moz-appearance': string;
    };
    button: {
        '-webkit-tap-highlight-color': string;
        backgroundColor: string;
        border: number;
        '-moz-appearance': string;
        '-webkit-appearance': string;
        margin: number;
        outline: string;
        boxSizing: string;
        position: string;
        textDecorationLine: string;
        '-webkit-text-decoration-line': string;
        '&::-moz-focus-inner': {
            border: number;
        };
    };
};
export declare class LyCoreStyles {
    private theme;
    classes: import("@alyle/ui").LyClasses<{
        fill: {
            position: string;
            top: number;
            bottom: number;
            left: number;
            right: number;
        };
        visuallyHidden: {
            border: number;
            clip: string;
            height: string;
            margin: string;
            overflow: string;
            padding: number;
            position: string;
            width: string;
            outline: number;
            '-webkit-appearance': string;
            '-moz-appearance': string;
        };
        button: {
            '-webkit-tap-highlight-color': string;
            backgroundColor: string;
            border: number;
            '-moz-appearance': string;
            '-webkit-appearance': string;
            margin: number;
            outline: string;
            boxSizing: string;
            position: string;
            textDecorationLine: string;
            '-webkit-text-decoration-line': string;
            '&::-moz-focus-inner': {
                border: number;
            };
        };
    }>;
    constructor(theme: LyTheme2);
    static ɵfac: i0.ɵɵFactoryDeclaration<LyCoreStyles, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<LyCoreStyles>;
}
