import { OnChanges, ElementRef, NgZone, OnDestroy, OnInit, Renderer2 } from '@angular/core';
import { LyTheme2 } from './theme2.service';
import { Platform } from '@angular/cdk/platform';
import * as i0 from "@angular/core";
export declare class LyPaperBase {
    _theme: LyTheme2;
    _ngZone: NgZone;
    _platform: Platform;
    constructor(_theme: LyTheme2, _ngZone: NgZone, _platform: Platform);
}
export declare const LyPaperMixinBase: import("../common/constructor").Constructor<import("../common/build-common-behaviors").CanStyleUpdater> & import("../common/constructor").Constructor<import("../common/bg").CanBg> & import("../common/constructor").Constructor<import("../common/color").CanColor> & import("../common/constructor").Constructor<import("../common/raised").CanRaised> & import("../common/constructor").Constructor<import("../common/outlined").CanOutlined> & import("../common/constructor").Constructor<import("../common/elevation").CanElevation> & import("../common/constructor").Constructor<import("../common/shadow-color").CanShadowColor> & import("../common/constructor").Constructor<import("../common/disable-ripple").CanDisableRipple> & typeof LyPaperBase;
export declare class LyPaper extends LyPaperMixinBase implements OnChanges, OnInit, OnDestroy {
    private _el;
    private _renderer;
    _hasText: boolean;
    set hasText(val: any);
    get hasText(): any;
    constructor(theme: LyTheme2, ngZone: NgZone, _el: ElementRef, _renderer: Renderer2, platform: Platform);
    ngOnChanges(): void;
    ngOnInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<LyPaper, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<LyPaper, "ly-paper, [ly-paper], [ly-text]", never, { "bg": "bg"; "color": "color"; "raised": "raised"; "outlined": "outlined"; "elevation": "elevation"; "shadowColor": "shadowColor"; "disableRipple": "disableRipple"; "hasText": "ly-text"; }, {}, never, never, false>;
}
