import { CdkTextColumn } from '@angular/cdk/table';
import * as i0 from "@angular/core";
/**
 * Column that simply shows text content for the header and row cells. Assumes that the table
 * is using the native table implementation (`<table>`).
 *
 * By default, the name of this column will be the header text and data property accessor.
 * The header text can be overridden with the `headerText` input. Cell values can be overridden with
 * the `dataAccessor` input. Change the text justification to the start or end using the `justify`
 * input.
 */
export declare class LyTextColumn<T> extends CdkTextColumn<T> {
    static ɵfac: i0.ɵɵFactoryDeclaration<LyTextColumn<any>, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<LyTextColumn<any>, "ly-text-column", never, {}, {}, never, never, false>;
}
