import { MinimaLight } from './light';
import { MinimaDark } from './dark';
import * as i0 from "@angular/core";
export declare class ThemeMinimaLight {
    static ɵfac: i0.ɵɵFactoryDeclaration<ThemeMinimaLight, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<ThemeMinimaLight, "[ly-theme-minima-light]", never, {}, {}, never, never, false>;
}
export declare class ThemeMinimaDark {
    static ɵfac: i0.ɵɵFactoryDeclaration<ThemeMinimaDark, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<ThemeMinimaDark, "[ly-theme-minima-dark]", never, {}, {}, never, never, false>;
}
export declare class ThemeMinimaModule {
    constructor();
    static ɵfac: i0.ɵɵFactoryDeclaration<ThemeMinimaModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<ThemeMinimaModule, [typeof ThemeMinimaDark, typeof ThemeMinimaLight], never, [typeof ThemeMinimaDark, typeof ThemeMinimaLight]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<ThemeMinimaModule>;
}
export interface IMinimaTheme extends MinimaLight, MinimaDark {
}
